Difference between revisions of "Microsoft .NET"

From Cosmoteer Wiki
Jump to: navigation, search
Line 19: Line 19:
  
 
Check compatibility: [https://github.com/dotnet/core/blob/master/release-notes/3.0/3.0-supported-os.md Github: .NET Core 3.0 - Supported OS versions]
 
Check compatibility: [https://github.com/dotnet/core/blob/master/release-notes/3.0/3.0-supported-os.md Github: .NET Core 3.0 - Supported OS versions]
 +
 +
Some Windows 7 systems may have a problem starting the game after the change. These need apply this update: [https://www.microsoft.com/en-nz/download/details.aspx?id=26764 Update for Windows 7 for x64-based Systems (KB2533623)] or [https://support.microsoft.com/en-us/help/2533623/microsoft-security-advisory-insecure-library-loading-could-allow-remot Microsoft Security Advisory: Insecure library loading could allow remote code execution]
 +
You can use the windows event viewer to check what happened. In this case the error message is something like: "Failed to load the dll"
  
 
==External Links==
 
==External Links==
 
* [https://dotnet.microsoft.com/download Download .NET]
 
* [https://dotnet.microsoft.com/download Download .NET]
 +
* [https://www.howtogeek.com/123646/htg-explains-what-the-windows-event-viewer-is-and-how-you-can-use-it/ What Is the Windows Event Viewer, and How Can I Use It?]

Revision as of 10:16, 28 November 2019


.NET Framework

As of Cosmoteer 0.14.4 still requires Microsoft .NET Framework version 4.6.2 to run.

Microsoft .NET Framework can be downloaded at Download .NET Framework 4/4.5/4.5.1/4.5.2/4.6/4.6.1 For offline installation: .NET Framework 4.6.2 (Offline Installer)

If for some reason an installation fails try this Microsoft .NET Framework Repair Tool

The latest .NET version can be found here Download .NET Framework

Check compatibility: .NET Framework May 2019 Security and Quality Rollup

.NET Core

As of Cosmoteer 0.15.4 the game has switched to Microsoft .NET Core version 3.0. The game has become authark and does not require Net Framework. As Net Core is integrated into the game itself it does not require Net Core to be downloaded either.

Microsoft .NET Core can be downloaded at Download .NET Core 3.0

Check compatibility: Github: .NET Core 3.0 - Supported OS versions

Some Windows 7 systems may have a problem starting the game after the change. These need apply this update: Update for Windows 7 for x64-based Systems (KB2533623) or Microsoft Security Advisory: Insecure library loading could allow remote code execution You can use the windows event viewer to check what happened. In this case the error message is something like: "Failed to load the dll"

External Links